TableStringConverter (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.table, class: TableStringConverter
Keywords: javax.swing.table.TableStringConverter class

# Class TableStringConverter

java.lang.Object
javax.swing.table.TableStringConverter

public abstract class TableStringConverter extends Object
TableStringConverter is used to convert objects from the model into strings. This is useful in filtering and searching when the model returns objects that do not have meaningful `toString` implementations.

Since:
  1.6

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TableStringConverter()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `toString(TableModel model, int row, int column)`
  Returns the string representation of the value at the specified location.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TableStringConverter

    protected TableStringConverter()
    Constructor for subclasses to call.

- ## Method Details

  - ### toString

    public abstract String toString(TableModel model, int row, int column)
    Returns the string representation of the value at the specified location.
    Parameters:
      `model` - the `TableModel` to fetch the value from
      `row` - the row the string is being requested for
      `column` - the column the string is being requested for
    Returns:
      the string representation. This should never return null.
    Throws:
      `NullPointerException` - if `model` is null
      `IndexOutOfBoundsException` - if the arguments are outside the bounds of the model